#
# Cookbook:: esh_lxd
# Recipe:: resolved
#
# Copyright:: 2022, https://easyself.host
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

dns_address = `lxc network get lxdbr0 ipv4.address`.strip.chomp('/24')

systemd_unit 'lxd-dns.service' do
  content <<~EOU
  [Unit]
  Description=LXD DNS configuration
  BindsTo=sys-subsystem-net-devices-lxdbr0.device
  After=sys-subsystem-net-devices-lxdbr0.device

  [Service]
  Type=oneshot
  ExecStart=/usr/bin/resolvectl dns lxdbr0 #{dns_address}
  ExecStart=/usr/bin/resolvectl domain lxdbr0 ~lxd
  ExecStopPost=/usr/bin/resolvectl revert lxdbr0
  RemainAfterExit=yes

  [Install]
  WantedBy=sys-subsystem-net-devices-lxdbr0.device
  EOU
  action [:create, :enable, :start]
end
